1 2 Previous Next 16 Replies Latest reply: Oct 8, 2012 10:45 AM by monkswell Branched to a new discussion.
monkswell Level 1 Level 1 (0 points)

More and more software won't work on my Powerbook G4 running Tiger. I'm thinking particularly of latest browser versions, Itunes, Spotify, Skype etc. How much would upgrading to Leopard, which is as far as I can go on a non-Intel machine, improve this situation, and how long is the benefit likely to last? Sorry if this is covered in any existing posts, I couldn't find anything addressing this specific question.


PowerBook, Mac OS X (10.4.11)
  • 1. Re: Increasing limitations of Powerbook G4 running Tiger
    Knucklesmac Level 4 Level 4 (2,225 points)

    Hello,

     

    All I can do is tell you about my current setup using Mac OS X 10.5.8 Leopard.

    I have a PowerBook G4 17" running 1.67Ghz 2GB. Currently I'm using the latest version of Camino web browser.

    YouTube videos are choppy, so I use an app called YouView. Which plays back YouTube fine.

    I run Skype for Leopard and that work without fault. iTunes 10 seems to allow me to download and play video from the iTunes Store with ease. I can't sync my iPhone on IOS 6 due to Apples change in system requirements for iOS6 being Mac OS X 10.6.8 and above.

    Can't comment on Spottily you will have to see what version are available.  With exception to my iPhone, all works fine, even some flash sites seem to work ok on Camino web browser.

    Wouldn't use safari as that's out of date on 10.5.8, but found no other software restrictions yet that won't load or install on Mac OS X 10.5.8

    I admit I run out of date software like photoshop CS 3 as it supports PPC, granted its not as good as PS CS 5 but it does the job. I run other out of date software like TeamViewer, but at the moment it seems to connect fine to more updated machines running TeamViewer. I guess it will depend on what you want to do with your PowerBook.

    If its just web surfing then I would suggest Camino it's like Firefox, it's up to date on this platform and work just as we'll as that of newer macs.

     

    Best of luck

  • 2. Re: Increasing limitations of Powerbook G4 running Tiger
    monkswell Level 1 Level 1 (0 points)

    Thanks, that's very helpful. My machine is a 15" G4 with 1.67 GHz and 1 GB RAM. I knew about Camino and have been using it with Tiger, generally it works fine but I noticed when I logged into Gmail that it was detected as an old version of Firefox and generated a warning that some features might not work properly. I suppose one factor is whether I can get hold of a Leopard installation DVD without breaking the bank, any suggestions?

  • 3. Re: Increasing limitations of Powerbook G4 running Tiger
    BGreg Level 6 Level 6 (17,500 points)

    I suppose one factor is whether I can get hold of a Leopard installation DVD without breaking the bank, any suggestions?

     

    That's the challenge, as Apple no longer sells 10.5 Leopard. One source for unopened Apple software is hardcoremac.com. If you go to the used market, avoid any gray-faced Leopard disks, as they would have been delivered for other systems and are locked to those systems. Leopard was never delivered on Powerbooks.

  • 4. Re: Increasing limitations of Powerbook G4 running Tiger
    monkswell Level 1 Level 1 (0 points)

    I've looked on hardcoremac.com and that's certainly helped the decision-making process. $240 to upgrade from one obsolete no longer supported OS to another slightly less obsolete one is a bit of a no-brainer. Seems to me the non-Intel thing is more of an issue that the OS itself. Also, I have the problem that I inherited this machine and there's no Tiger installation disk, so if anything goes wrong there's no going back. I suspect I'm just going to settle for what I've got and maybe keep an eye on Ebay.

  • 5. Re: Increasing limitations of Powerbook G4 running Tiger
    Knucklesmac Level 4 Level 4 (2,225 points)

    I've personally not tried gMail on Camino.

    Have you ever tried setting up Gmail on the Mail application?

    I run my Yahoo mail through that on the PowerBook.

     

    Not sure we're you can buy Mac OS X 10.5.8 cheap. Which country are you in?

    Maybe BGreg's suggestion of hardcoremac.com.

  • 6. Re: Increasing limitations of Powerbook G4 running Tiger
    Krissypaps Level 1 Level 1 (0 points)

    I just read on the lowendmac website -- http://lowendmac.com/deals/best-os-x-leopard-prices.htmlthat -- you can still get Leopard at the original price if you call Apple and order it directly.  Worth a try?

     

    Amy

  • 7. Re: Increasing limitations of Powerbook G4 running Tiger
    Knucklesmac Level 4 Level 4 (2,225 points)

    Hello,

     

    I don't know if its me, but the link you provided doesn't seem to work :/

    What I do know is Apple will supply some stock of Snow Leopard (Mac OS X 10.6) I was not aware they had any stock to sale of Leopard. As they no longer provide any support for it, I doubt if they still stock any for sale.

     

    eBay would be the likely place they could obtain a copy from. Don't always look for the software itself. Some people sale broken iBook and PowerBook with a retail copy of Leopard. In some cases it work out cheaper. 

  • 8. Re: Increasing limitations of Powerbook G4 running Tiger
    monkswell Level 1 Level 1 (0 points)

    Thanks for the suggestion, best price  there is $129 which is still pretty hefty - I'm in the UK by the way. I've just discovered that you can't go above Flash 10.1 on a PPC even if you do upgrade to Leopard, which means that following recent changes you can't use BBC Iplayer or ITV Player. There is a hack that lets you do it, but you need to be fairly IT savvy to know where to find it and it's not entirely satisfactory. The more I learn the more I think upgrading isn't an economic option. I'll be honest - I normally use a PC and this problem simply doesn't exist. I do really like the Powerbook, it's a beautiful machine, and not that old, but I don't like it enough to feel compelled to splash out on a newer model. A pity.

  • 9. Re: Increasing limitations of Powerbook G4 running Tiger
    Knucklesmac Level 4 Level 4 (2,225 points)

    For thoses in the UK you could obtain copies of Leopard from http://www.thebookyard.com/mac_system_software.php?manufacturers_id=31&page=9

  • 10. Re: Increasing limitations of Powerbook G4 running Tiger
    monkswell Level 1 Level 1 (0 points)

    The word "that" has got added to the end of Krissy's link. Just delete the last 4 letters from the URL in the address bar and it will work.

  • 11. Re: Increasing limitations of Powerbook G4 running Tiger
    monkswell Level 1 Level 1 (0 points)

    The bookyard site does have 10.5 installer DVDs priced in GBP but the price is comparable to the lowendmac site.

  • 12. Re: Increasing limitations of Powerbook G4 running Tiger
    Knucklesmac Level 4 Level 4 (2,225 points)

    If you live in the UK I might be able to help you here.

    I have a few original copies of Mac OS X 10.5, I'm sure I can spare you a copy.

  • 13. Re: Increasing limitations of Powerbook G4 running Tiger
    BGreg Level 6 Level 6 (17,500 points)

    I just read on the lowendmac website -- http://lowendmac.com/deals/best-os-x-leopard-prices.htmlthat -- you can still get Leopard at the original price if you call Apple and order it directly.  Worth a try?

     

     

    That's dated from June, and Apple, in the US, no longer has any inventory of OS X 10.5 Leopard. There are other sources, howevever as discussed, they are pricey.

  • 14. Re: Increasing limitations of Powerbook G4 running Tiger
    Limnos Level 8 Level 8 (38,455 points)

    I'm just sticking with Tiger.  I have not seen anything I need so badly that I want to upgrade to Leopard (which I have sitting on a shelf here), and the things I might want need more than Leopard which my G4 won't run.  Remember, even though somebody brings out an upgrade it doesn't mean you have to install it if it isn't something you need/want.  I don't buy things from the iTunes Store so I have never seen any real improvements in versions of iTunes beyond 7.5 which have mostly been added to make it easier for you to spend money there.  My computer is already running an OS (10.4.11) that is 4 versions beyond that with which it was originally supplied.  If I install Leopard and/or newer versions of other things I am just burdening it more for very little return.

     

    Things such as YouTube I can still get to play.  I sometimes have to download the files to the computer and view with VLC but they play smoothly then.

     

    TenFourFox works as a newer browser but I still use Firefox 3.26 99% of the time because I have older plugins that do not work with TFF (no, not even if I enable plugins).

1 2 Previous Next